#pragma once

#include <maps/libs/geolib/include/point.h>
#include <maps/libs/json/include/value.h>
#include <yandex/maps/jams/static_graph2/persistent_segment_id.h>

namespace maps::wiki::route_lost_feedback {

json::Value toJson(const geolib3::Point2& point);

json::Value toJson(const jams::static_graph2::PersistentSegmentId& segment);

jams::static_graph2::PersistentSegmentId fromJson(const json::Value& json);

} // namespace maps::wiki::route_lost_feedback
